Refresh Restricted Addons

Bug #1709166 reported by Bryan Quigley on 2017-08-07
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Default settings and artwork for Baltix OS
High
Mantas Kriaučiūnas
ubiquity (Ubuntu)
Undecided
Unassigned
ubuntu-restricted-addons (Ubuntu)
Undecided
Bryan Quigley

Bug Description

Ubuntu-desktop discussion link - https://lists.ubuntu.com/archives/ubuntu-desktop/2017-August/005075.html
More backstory, addons vs extras used to be universe vs multiverse but that hasn't been true for many releases. The plan is to drop the -extras package.

Ubuntu- Plan for this package is to change from:
adobe-flashplugin | flashplugin-installer (drop)
chromium-codecs-ffmpeg-extra
gstreamer1.0-fluendo-mp3 (remove as we are pulling mp3 decode support in -ugly anyway)
gstreamer1.0-libav
gstreamer1.0-plugins-bad (drop)
gstreamer1.0-plugins-ugly

To:
chromium-codecs-ffmpeg-extra
gstreamer1.0-libav
gstreamer1.0-plugins-ugly
gstreamer1.0-vaapi (added for video acceleration by default on Intel)

For Lubuntu we are just dropping adobe-flashplugin (which leaves it with just libdvdread4).

Related branches

description: updated
Bryan Quigley (bryanquigley) wrote :

Dropped the MSFT fonts as I noted the warning about consulting a lawyer before adding items to addons.

Bryan Quigley (bryanquigley) wrote :

Got poked that I should offer making similar changes for the Kubuntu/Lubuntu-restricted-addons packages at the same time. Happy to add other changes to the debdiff if requested too. Thanks! (Remove your team and accept my apologies if this wasn't the right way to approach this)

Changed in ubuntu-restricted-addons (Ubuntu):
assignee: nobody → Bryan Quigley (bryanquigley)
status: New → In Progress

The attachment "ubuntu-restricted-addons_25.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Daniel van Vugt (vanvugt) wrote :

Bryan,

I'm a little concerned about your assumption that:
  "va-driver-all is already brought in by gstreamer1.0-libav"

While that might be true, be careful to not confuse libav with libva. They are very different things.

I would prefer that we explicitly pulled in va-driver-all, which is required for gstreamer1.0-vaapi and other things to work.

Bryan Quigley (bryanquigley) wrote :

@daniel
gstreamer1.0-libav or gstreamer1.0-vaapi will bring it in (via recommends). I just did the current restricted-addons during the install and it brings it in (both va-driver-all and vdpau-driver-all actually).

I'm happy to add it if it's important for upgrades or something, but it's already being brought in today...

Daniel van Vugt (vanvugt) wrote :

Thanks, that's probably fine then.

I didn't realize but gstreamer1.0-vaapi's use of libva1 is probably what does the trick. Because it's libva1 that recommends va-driver-all | va-driver. We'll just have to test this does bring in the crucial package: i965-va-driver in a fresh install.

Bryan Quigley (bryanquigley) wrote :

Yup, fresh install w/ restricted done yesterday does include i965-va-driver. Can't test actual acceleration though as I'm doing this in a VM.

Bryan Quigley (bryanquigley) wrote :

Lubuntu devs (tsimonq2 and wxl) +1ed removing Flash.

Amr Ibrahim (amribrahim1987) wrote :

I would say to also drop gstreamer1.0-fluendo-mp3.
MP3 decoding is done by the mpg123 plug-in in gstreamer1.0-plugins-ugly, which depends on libmpg123-0.
https://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-ugly-plugins/html/gst-plugins-ugly-plugins-plugin-mpg123.html
I don't know whether Fluendo (the company) still maintains gstreamer1.0-fluendo-mp3 or not. On the other hand, I can see that mpg123 is actively maintained.

Amr Ibrahim (amribrahim1987) wrote :

The dependency chain for pulling in video acceleration drivers is:
gstreamer1.0-vaapi depends on libva1
libva1 recommends va-driver-all
va-driver-all depends on i965-va-driver mesa-va-drivers vdpau-va-driver

gstreamer1.0-libav depends on libavcodec57
libavcodec57 depends on libva1
libva1 recommends va-driver-all
va-driver-all depends on i965-va-driver mesa-va-drivers vdpau-va-driver

Bryan Quigley (bryanquigley) wrote :

Agreed with the fluendo plugin, just removed it from my machine and mp3 plays fine. Will redo the debediff with that and the Lubuntu changes

Bryan Quigley (bryanquigley) wrote :

Will update the description to reflect this modified patch. I believe it's ready now.

description: updated
Łukasz Zemczak (sil2100) wrote :

Hey Bryan! The debdiff looks good. But as per Sebastien's post on the mailing thread, could you maybe take a closer look into why we actually pulled in gstreamer1.0-fluendo-mp3 in the first place (when it got added)? I'd also like to be extra sure we're not breaking any workflow by accident.

If after that we still see no precautions I'll gladly sponsor this change.

Bryan Quigley (bryanquigley) wrote :

Indeed, I've been advised to leave Fluendo on. Thanks!

Jeremy Bicha (jbicha) wrote :

Thank you for helping to make Ubuntu better. I have uploaded this to Ubuntu now. I apologize for the delay.

Bryan, could you follow up by removing mentions of Flash from ubiquity and ubiquity-slideshow-ubuntu ?

I am unsubscribing ubuntu-sponsors. Feel free to resubscribe if you have something else that needs sponoring.

Changed in ubuntu-restricted-addons (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-restricted-addons (Ubuntu):
status: Fix Committed → Fix Released
Daniel van Vugt (vanvugt) wrote :

Released, but not working!?

I just installed last night's image and ticked the box to install third-party software. The result is no packages installed mentioning "libva" or "vaapi". I wonder if the whole restricted addons installation failed?

Daniel van Vugt (vanvugt) wrote :

My concern is now logged as bug 1715527

Bryan Quigley (bryanquigley) wrote :

I did the install today and got both vaapi, fluendo mp3, and -ugly - maybe you got Flash installed and got the old restricted one?

Bryan Quigley (bryanquigley) wrote :

Thanks Jeremy - proposed to remove Flash wording from Ubiquity. ubiquity-slideshow-ubuntu just shows AFAICT that Adobe Flash is "supported software" so that can stay.

Changed in ubiquity (Ubuntu):
status: New → In Progress
Changed in baltix-default-settings:
status: New → Confirmed
assignee: nobody → Mantas Kriaučiūnas (mantas)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 17.10.8

---------------
ubiquity (17.10.8) artful; urgency=medium

  [ Bryan Quigley ]
  * Flash will no longer be installed via the "restricted" checkbox so remove
    it. (LP: #1709166)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: partman-auto
    134ubuntu7, console-setup 1.166ubuntu5, netcfg 1.142ubuntu4.

  [ Jean-Baptiste Lallement ]
  * bin/oem-config-prepare: Drop privileges to the oem user to display the
    success dialog under wayland (LP: #1719734)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 27 Sep 2017 11:43:09 -0400

Changed in ubiquity (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers